const int requestEnterPin = 36;
const int openDoorPin = 32;
int requestvalue;

// setup code runs once:
void setup() {
  pinMode(requestEnterPin, INPUT);
  pinMode(openDoorPin, OUTPUT);
}

void openDoor() {
  analogWrite(openDoorPin, 255);
}

bool askToOpen() {
  requestvalue = analogRead(requestEnterPin);
  if ( requestvalue > 100 ) {
  	return true;
  } else {
  	return false;
  }
}

// main code runs repeatedly:
void loop() {
  if ( askToOpen() ) {
  	openDoor();
  }
  delay(1);
}
